

            if (oldestTime < lastTime) {(*StatsMem[MTIMEERR])++;} else {(*StatsMem[MTIMEOK])++;}

            if (*MERGE_Verbose != 0) sprintf(message_buffer, "merge_server (OP) %d 0x%016llx %lx %lx %d", oldestLink, os->Time, os->Data, os->Timestamp, OutputBufferLen);
            report_message(MSG_DEBUG);

            lastTime = oldestTime;
//            (*StatsMem[MTIMEOK])++;

            gcode = (os->Data >> 30) & 3;
            module = (os->Data >> 24) & 63;
            icode = (os->Data >> 20) & 15;

            if (gcode == 2 && icode == WR_CODE) goto L001;
	    if (gcode == 2 && icode == INFO4_CODE) goto L001;
	    if (gcode == 2 && icode == INFO7_CODE) goto L001;

            if (gcode == 3 && icode == ADC_CODE) {  /* ADC data   needs to be coupled with Info #5 & #7 */
                wr4863 = (os->Time >> 48) & 0x0000ffff;
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (WR_CODE << 20) | wr4863;  /* generate the Info #5 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
		
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (INFO7_CODE << 20) | wr4863;  /* generate the Info #7 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
            }
            
            if (gcode == 2 && icode == R3B_EXT1_CODE) {  /* ext data   needs to be coupled with Info #5 & #4 */
                wr4863 = (os->Time >> 48) & 0x0000ffff;
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (WR_CODE << 20) | wr4863;  /* generate the Info #5 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
		
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (INFO4_CODE << 20) | wr4863;  /* generate the Info #4 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
            }
            
            if (gcode == 2 && icode == R3B_EXT2_CODE) {  /* ext data   needs to be coupled with Info #5 & #4 */
                wr4863 = (os->Time >> 48) & 0x0000ffff;
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (WR_CODE << 20) | wr4863;  /* generate the Info #5 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
		
                OutputBufferPtr->data = (2 << 30) | (module << 24) | (INFO4_CODE << 20) | wr4863;  /* generate the Info #4 */
                OutputBufferPtr->timestamp = os->Timestamp;
                OutputBufferPtr++;
                OutputBufferLen += sizeof(ItDesc);
            }           
            
            OutputBufferPtr->data = os->Data;
            OutputBufferPtr->timestamp = os->Timestamp;
            OutputBufferPtr++;
            OutputBufferLen += sizeof(ItDesc);

            (*StatsMem[MBUFFERS])++;           /* counter for number of merged data items */

            if (OutputBufferLen >= (BufferSize - 32 - sizeof(ItDesc) - sizeof(ItDesc))) { /* allow for info 5/7 + info 4 */

// No space for another item - the output buffer is full

               if ((*MERGE_RunOptions & 2) != 0) {(void) do_storage (OutputBuffer, OutputBufferLen);}
               OutputBufferPtr = (ItDesc_Ptr)OutputBuffer;
               OutputBufferLen = 0;

//               (*StatsMem[MBUFFERS])++;           /* counter for number of merged data buffers */
            }

L001:       continue;


